Upstream information

CVE-2020-13757 at MITRE

Description

Python-RSA before 4.1 ignores leading '\0' bytes during decryption of ciphertext. This could conceivably have a security-relevant impact, e.g., by helping an attacker to infer that an application uses Python-RSA, or if the length of accepted ciphertext affects application behavior (such as by causing excessive memory allocation).

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1172389 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image caasp4/caasp-k8s-sidecar-image
Image caasp45/caasp-k8s-sidecar-image
  • python3-rsa >= 3.4.2-3.4.1
SUSE CaaS Platform 4.0
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2008
SUSE Enterprise Storage 6
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-Storage-6-2021-2008
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2008
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2008
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-2008
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-2008
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • python2-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2008
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • python2-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2008
SUSE Linux Enterprise Module for Public Cloud 12
  • python-rsa >= 3.1.4-12.16.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2021-2237
SUSE Linux Enterprise Module for Public Cloud 15
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-2021-2008
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • python2-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-2008
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • python2-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-2008
SUSE Linux Enterprise Server 15 SP1-BCL
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2008
SUSE Linux Enterprise Server 15 SP1-LTSS
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2008
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2008
SUSE Manager Proxy 4.0
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2008
SUSE Manager Retail Branch Server 4.0
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2008
SUSE Manager Server 4.0
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2008
SUSE OpenStack Cloud 7
  • python-rsa >= 3.1.4-12.16.1
Patchnames:
SUSE-OpenStack-Cloud-7-2021-2237
SUSE OpenStack Cloud 9
  • python-rsa >= 3.4.2-4.4.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-2253
SUSE OpenStack Cloud Crowbar 9
  • python-rsa >= 3.4.2-4.4.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-2253
openSUSE Leap 15.2
  • python2-rsa >= 3.4.2-lp152.4.3.1
  • python3-rsa >= 3.4.2-lp152.4.3.1
Patchnames:
openSUSE-2021-901
openSUSE Leap 15.3
  • python2-rsa >= 3.4.2-3.4.1
  • python3-rsa >= 3.4.2-3.4.1
Patchnames:
openSUSE-SLE-15.3-2021-2008
openSUSE Tumbleweed
  • python36-rsa >= 4.7.2-1.5
  • python38-rsa >= 4.7.2-1.5
  • python39-rsa >= 4.7.2-1.5
Patchnames:
openSUSE Tumbleweed GA python36-rsa-4.7.2-1.5


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 python-rsa Affected
HPE Helion OpenStack Cloud 8 python-rsa Affected
SUSE CaaS Platform 4.0 python-rsa Released
SUSE Container as a Service Platform 1.0 python-rsa Affected
SUSE Container as a Service Platform 2.0 python-rsa Affected
SUSE Enterprise Storage 5 python-rsa Unsupported
SUSE Enterprise Storage 6 python-rsa Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS python-rsa Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS python-rsa Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 python-rsa Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 python-rsa Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 python-rsa Released
SUSE Linux Enterprise Module for Public Cloud 12 python-rsa Released
SUSE Linux Enterprise Module for Public Cloud 15 python-rsa Released
SUSE Linux Enterprise Server 15 SP1 LTSS python-rsa Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 python-rsa Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-rsa Released
SUSE Manager Proxy 4.0 python-rsa Released
SUSE Manager Retail Branch Server 4.0 python-rsa Released
SUSE Manager Server 3.2 python-rsa Affected
SUSE Manager Server 4.0 python-rsa Released
SUSE OpenStack Cloud 6 LTSS python-rsa Unsupported
SUSE OpenStack Cloud 7 python-rsa In progress
SUSE OpenStack Cloud 8 python-rsa Affected
SUSE OpenStack Cloud 9 python-rsa Released
SUSE OpenStack Cloud Crowbar 8 python-rsa Affected
SUSE OpenStack Cloud Crowbar 9 python-rsa Released
SUSE Package Hub 15 python-rsa Released
SUSE Package Hub 15 SP1 python-rsa Released
SUSE Package Hub 15 SP2 python-rsa Released
SUSE Package Hub 15 SP3 python-rsa Released